using System.Linq;

namespace Dashboard.Drawing
{
    public class FontExtension : DrawExtension
    {
        private FontExtension() : base("DB_Font", Enumerable.Empty<DrawExtension>())
        {
        }

        public static readonly IDrawExtension Instance = new FontExtension();
    }

    public interface IFont : IDrawResource
    {
        public string Family { get; }
        public float Size { get; }
        public FontWeight Weight { get; }
        public FontSlant Slant { get; }
        public FontStretch Stretch { get; }
    }
}
